Upgrading from 1.9-rr to dev6-rr failed with bzr.dev

John Arbash Meinel john at arbash-meinel.com
Tue Apr 21 06:37:13 BST 2009

Hash: SHA1

Talden wrote:
> On Tue, Apr 21, 2009 at 4:12 PM, Bob Tanner <tanner at real-time.com> wrote:
>> On 2009-04-19 22:20:10 -0500, John Arbash Meinel <john at arbash-meinel.com>
>> said:
>>> Talden wrote:
>>>>> A known bug in the non-compiled code path, which has been fixed, and the
>>>>> fix will be in 1.14rc2.
>>>> But not fixed in bzr.dev?
>>> The patch is approved, I was just waiting for the 1.14 branch to be
>>> merged into bzr.dev.
>> 1.14rc2 has been merged into bzr.dev
> That's bzr.dev r4300 right?  I'm getting a corrupt repo after
> upgrading to development6-rich-root with that revision...  I'll try
> the same with 1.14 tomorrow.
> --
> Talden

So the error that you were seeing looks like a fairly internal error. As
in the data-stream generated is invalid.

I'm guessing this is a large repo? It would be nice to figure out how
that stream was getting generated, as it would indicate a fairly serious

Though if 'bzr check' is succeeding, that would seem a bit strange. (The
bug would hint that we are failing to extract a text, because the delta
recorded is invalid, but 'check' should be extracting all the texts ...)


Version: GnuPG v1.4.9 (Cygwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org


More information about the bazaar mailing list